from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String, Directory

Hmm_Assembler_Pl_V0_1_0 = CommandToolBuilder(tool="hmm_assembler.pl", base_command=["hmm-assembler.pl"], inputs=[ToolInput(tag="in_var_0", input_type=Boolean(optional=True), prefix="-A", doc=InputDocumentation(doc="<order:length> [0:30]")), ToolInput(tag="in_d", input_type=Boolean(optional=True), prefix="-D", doc=InputDocumentation(doc="<order:length> [0:9]")), ToolInput(tag="in_m", input_type=Boolean(optional=True), prefix="-M", doc=InputDocumentation(doc="<order:length> [0:15]")), ToolInput(tag="in_s", input_type=Boolean(optional=True), prefix="-S", doc=InputDocumentation(doc="<order:length> [0:9]")), ToolInput(tag="in_orderlength_include_utr_model_requires", input_type=Boolean(optional=True), prefix="-3", doc=InputDocumentation(doc="<order:length> []  include 3'UTR model, requires -a")), ToolInput(tag="in_orderlength_include_polya_model_requires", input_type=Boolean(optional=True), prefix="-a", doc=InputDocumentation(doc="<order:length> []  include PolyA model, requires -3")), ToolInput(tag="in_orderlength_include_moel_requires", input_type=Boolean(optional=True), prefix="-5", doc=InputDocumentation(doc="<order:length> []  include 5'UTR moel, requires -p")), ToolInput(tag="in_include_generic_promoter_model", input_type=Boolean(optional=True), prefix="-p", doc=InputDocumentation(doc="include generic promoter model, requires -5")), ToolInput(tag="in_include_generic_repeat_model", input_type=Boolean(optional=True), prefix="-r", doc=InputDocumentation(doc="include generic repeat model")), ToolInput(tag="in_include_reverse_model", input_type=Boolean(optional=True), prefix="-o", doc=InputDocumentation(doc="include reverse ORF model")), ToolInput(tag="in_use_explicit_model", input_type=Boolean(optional=True), prefix="-x", doc=InputDocumentation(doc="use explicit duration intron model")), ToolInput(tag="in_include_transsplicing_requires", input_type=Boolean(optional=True), prefix="-t", doc=InputDocumentation(doc="include C.elegans trans-splicing, requires -p, -5")), ToolInput(tag="in_clade_sets_fly", input_type=Boolean(optional=True), prefix="-Z", doc=InputDocumentation(doc="<clade>            sets clade-specific values (worm, fly, plant)")), ToolInput(tag="in_single_gene_model", input_type=Boolean(optional=True), prefix="-1", doc=InputDocumentation(doc="single gene model")), ToolInput(tag="in_include_splice_model", input_type=String(optional=True), prefix="-c", doc=InputDocumentation(doc="include GC-AG splice donor model")), ToolInput(tag="in_more_options", input_type=Boolean(optional=True), prefix="-MORE_OPTIONS", doc=InputDocumentation(doc="")), ToolInput(tag="in_options", input_type=Boolean(optional=True), prefix="-OPTIONS", doc=InputDocumentation(doc="")), ToolInput(tag="in_name", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_directory_of_files_from_forge", input_type=Directory(), position=1, doc=InputDocumentation(doc=""))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Hmm_Assembler_Pl_V0_1_0().translate("wdl", allow_empty_container=True)

